PageIndex = function () {
    return{

        defaultOption: {
            basePath:"",
            // 站点数据
            stationFlys : [
                //站点名称，站点编号
                {name:"南京站", no:"1"},
                {name:"新模范马路", no:"2"},
                {name:"玄武门", no:"3"},
                {name:"鼓楼", no:"4"},
                {name:"珠江路", no:"5"},
                {name:"新街口", no:"6"},
                {name:"张府园", no:"7"},
                {name:"三山街", no:"8"},
                {name:"中华门", no:"9"},
                {name:"安德门", no:"10"},
                {name:"天隆寺", no:"11"},
                {name:"软件大道", no:"12"},
                {name:"花神庙", no:"13"},
                {name:"南京南站", no:"14"},
                {name:"双龙大道", no:"15"}
            ],
            // 进出站数据，1进站，2出站
            inOutStationFlys:[
                // 车牌号码，站点编号，进出站类型
                {carNo:"苏AKE223", no:"4", type:1},
                {carNo:"苏A4SK92", no:"10", type:2}
            ]
        },
        init :function (){
            this.funLoadLineInfo();
            this.funLoadInOutStationInfo();

            this.funDealLiLefInfo();
            var me = this;
            $(window).resize(function(){
                me.funDealLiLefInfo();
            });
        },

        funDealLiLefInfo : function(){
            let vleft = ($(window).width() - PageIndex.defaultOption.stationFlys.length * 32) / (PageIndex.defaultOption.stationFlys.length - 1);
            vleft += PageIndex.defaultOption.stationFlys.length*0.5;
            $(".bus-lzlist li+li").css({"margin-left":vleft});
            $(".outStation").css({"left":vleft/2});
        },

        funLoadLineInfo : function () {
            var html = "";
            for (let nItem = 0; nItem < PageIndex.defaultOption.stationFlys.length; nItem++){
                html += "<li id='s_"+PageIndex.defaultOption.stationFlys[nItem].no+"'><a>"+PageIndex.defaultOption.stationFlys[nItem].name+"</a></li>";
            }
            $("#lzlist").html(html);
        },
        funLoadInOutStationInfo : function () {
            for (let nItem = 0; nItem < PageIndex.defaultOption.inOutStationFlys.length; nItem ++){
                let liId = "#s_" + PageIndex.defaultOption.inOutStationFlys[nItem].no;
                if (PageIndex.defaultOption.inOutStationFlys[nItem].type == 1){
                    $(liId).append("<div class='inStation'><img src='./styles/images/car.png'></div>");
                }
                else{
                    $(liId).append("<div class='outStation'><img src='./styles/images/car.png'></div>");
                }
            }
        }


    }
}();


$(function () {
    PageIndex.init();
})
